import { FormEvent, useCallback, useEffect } from 'react';
import { useAppDispatch, useAppSelector } from '../../hooks';

import {
  DataFilterer,
  FormDataChangeHandler,
  SearchHandler,
  WithHocForm,
  WithHocSearch,
} from '../../components';

import logo from '../../assets/img/logo.svg';
import sdwLogo from '../../assets/img/logo.png';
import './App.scss';

export const App = () => {
  const dispatch = useAppDispatch();

  return (
    <header className='App-header'>
      <div className='cont'>
        <img
          src={sdwLogo}
          className='sdw-logo d-block mg-auto'
          alt='SDW logo'
        />

        <img src={logo} className='App-logo' alt='logo' />
        <p>Edit <code>src/App.tsx</code> and save to reload.</p>

        <a
          className='App-link'
          href='https://reactjs.org'
          target='_blank'
          rel='noopener noreferrer'
        >
          Learn React
        </a>
      </div>
    </header>
  );
};
